package com.steerinfo.dil.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.route.vo.Map.RouteVo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CompletableFuture;

public interface OffSiteTransportationService {
    List<Map<String, Object>> getInTransitTransportation(Map<String, Object> mapValue);

    //修改是否开启运输报警状态
    int updateWarnSwitch(String warnSwitch,String radio);

    Integer getOrderStatus(Map<String, Object> map);

    public Map<String, Object> getStartAndEndCapacityNumber(Map<String,Object> map);

    void insertOrderMileage(Map<String, Object> ordermap);

    void removeDate();
    //查询是否开启运输报警状态
    Map<String,Object> selectWarnSwitch();

     int insertOrderTripId(Map<String, Object> map);

    int addTransportationAlarm(Map<String, Object> map);

    List<Map<String, Object>> getHaveAbnormalTruckOrderInfo(Map<String, Object> mapValue);

    List<Map<String, Object>> getTransportAbnormalInfo(Map<String, Object> mapValue);

    List<Map<String, Object>> transportationPerformance(Map<String, Object> mapValue);
}
