package com.steerinfo.route.service;

import com.steerinfo.route.vo.Map.RouteVo;
import com.steerinfo.route.vo.currentLocation.CurrentLocation;
import com.steerinfo.route.vo.currentLocation.CurrentLocationResult;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.CompletableFuture;

public interface RouteService {
    CompletableFuture<String> saveRoute(Map mapValue) throws Exception;

    CompletableFuture<RouteVo> fullPathVisualization(HashMap mapValue) throws Exception;

    public CompletableFuture<String> saveRequstionDate(Map mapValue) throws Exception;

    public CompletableFuture<RouteVo> fullPathVisualizationByCarNumber(HashMap mapValue) throws Exception;

    CurrentLocationResult getCurrentLocation(String capcityNumber) throws Exception;
}